Description

When installing foreman on debian I was getting the following error:

Setting up foreman (1.2.0+debian2) ...

D020000: trigproc_activate_packageprocessing pkg=foreman

D000002: fork/exec /var/lib/dpkg/info/foreman.postinst ( configure  )

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 5

When running /var/lib/dpkg/info/foreman.postinst manually in DEBUG it gave:

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb

extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)

from extconf.rb:1

Gem files will remain installed in /usr/share/foreman/vendor/ruby/1.8/gems/json-1.8.0 for inspection.

Results logged to /usr/share/foreman/vendor/ruby/1.8/gems/json-1.8.0/ext/json/ext/generator/gem_make.out

Installing ruby-dev resolved the problem. This should be included as a package dependency.

History

#1 - 07/11/2013 02:53 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category deleted (21)

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

#2 - 07/11/2013 02:54 AM - Greg Sutcliffe

- Status changed from Assigned to Feedback

Thanks for the report - you don't mention which OS and Architecture you're using, could you provide this?

#3 - 07/11/2013 12:14 PM - Kal McFate

This is debian squeeze.

#4 - 07/12/2013 05:22 AM - Greg Sutcliffe

I'm afraid I can't reproduce this:

root@2771test:~# facter operatingsystem

Debian

root@2771test:~# facter operatingsystemrelease
6.0.7

root@2771test:~# apt-get install foreman

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following extra packages will be installed:

  binutils build-essential bundler bzip2 cpp cpp-4.4 dpkg-dev fakeroot foreman-proxy g++ g++-4.4 gcc gcc-4.4 l

ibalgorithm-diff-perl libalgorithm-diff-xs-perl

  libalgorithm-merge-perl libc-dev-bin libc6-dev libdpkg-perl libgmp3c2 libgomp1 libkrb5-ruby libkrb5-ruby1.8 

libmpfr4 librack-ruby1.8 libsinatra-ruby libsinatra-ruby1.8

  libstdc++6-4.4-dev libtimedate-perl linux-libc-dev make manpages-dev rake ruby-dev ruby1.8-dev rubygems ruby

gems1.8 unzip zip

Suggested packages:

  binutils-doc bzip2-doc cpp-doc gcc-4.4-locales debian-keyring g++-multilib g++-4.4-multilib gcc-4.4-doc libs

tdc++6-4.4-dbg gcc-multilib autoconf automake1.9 libtool

  flex bison gdb gcc-doc gcc-4.4-multilib libmudflap0-4.4-dev libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloo

g-ppl0 libppl-c2 libppl7 glibc-doc mongrel thin1.8

  libstdc++6-4.4-doc make-doc

Recommended packages:

  rubygems-integration

The following NEW packages will be installed:

  binutils build-essential bundler bzip2 cpp cpp-4.4 dpkg-dev fakeroot foreman foreman-proxy g++ g++-4.4 gcc g

cc-4.4 libalgorithm-diff-perl libalgorithm-diff-xs-perl

  libalgorithm-merge-perl libc-dev-bin libc6-dev libdpkg-perl libgmp3c2 libgomp1 libkrb5-ruby libkrb5-ruby1.8 

libmpfr4 librack-ruby1.8 libsinatra-ruby libsinatra-ruby1.8

  libstdc++6-4.4-dev libtimedate-perl linux-libc-dev make manpages-dev rake ruby-dev ruby1.8-dev rubygems ruby

gems1.8 unzip zip

0 upgraded, 40 newly installed, 0 to remove and 0 not upgraded.

Need to get 52.5 MB of archives.

After this operation, 124 MB of additional disk space will be used.

Do you want to continue [Y/n]? n

Abort.

 You can see that ruby-dev is already a dependency and included in the list of packages to be installed. However, I think it's actually inherited from the

Recommended Packages of rubygems right now - have you turned off recommend packages?

#5 - 07/13/2013 12:13 AM - Kal McFate

Yes,

APT::Install-Recommends "false";

#6 - 07/15/2013 05:06 AM - Marek Hulán

Greg, I was able to reproduce on squeeze with APT::Install-Recommends "false";. I wanted to make a PR adding ruby-dev package to dependencies

however we seem to support 1.8 and 1.9 there. For wheezy we already have ruby1.9.1-dev among Depends. What is the right way? Looking to some

other debs which support rubies they usually create a metapackage which installs ruby1.8 + ruby1.8-dev and ruby1.9 + ruby1.9-dev.

#7 - 07/22/2013 09:59 AM - Greg Sutcliffe

Marek, I think it's fine to just add ruby-dev to the deps list, as squeeze only has 1.9 available from backports, if I recall correctly.

#8 - 02/28/2014 11:35 AM - Benjamin Papillon

- Description updated

- Status changed from Feedback to Assigned

I removed the feedback status as the bug is present on squeeze (but has been fixed on wheezy)

#9 - 04/28/2016 04:33 PM - Anonymous

- Status changed from Assigned to Resolved

I guess this got resolved some time ago...
